<?php
$tdatastock = array();
$tdatastock[".searchableFields"] = array();
$tdatastock[".ShortName"] = "stock";
$tdatastock[".OwnerID"] = "";
$tdatastock[".OriginalTable"] = "stock";


$tdatastock[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatastock[".originalPagesByType"] = $tdatastock[".pagesByType"];
$tdatastock[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatastock[".originalPages"] = $tdatastock[".pages"];
$tdatastock[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatastock[".originalDefaultPages"] = $tdatastock[".defaultPages"];

//	field labels
$fieldLabelsstock = array();
$fieldToolTipsstock = array();
$pageTitlesstock = array();
$placeHoldersstock = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstock["English"] = array();
	$fieldToolTipsstock["English"] = array();
	$placeHoldersstock["English"] = array();
	$pageTitlesstock["English"] = array();
	$fieldLabelsstock["English"]["StockID"] = "Stock ID";
	$fieldToolTipsstock["English"]["StockID"] = "";
	$placeHoldersstock["English"]["StockID"] = "";
	$fieldLabelsstock["English"]["StockName"] = "ຊື່ສາງ";
	$fieldToolTipsstock["English"]["StockName"] = "";
	$placeHoldersstock["English"]["StockName"] = "";
	if (count($fieldToolTipsstock["English"]))
		$tdatastock[".isUseToolTips"] = true;
}


	$tdatastock[".NCSearch"] = true;



$tdatastock[".shortTableName"] = "stock";
$tdatastock[".nSecOptions"] = 0;

$tdatastock[".mainTableOwnerID"] = "";
$tdatastock[".entityType"] = 0;
$tdatastock[".connId"] = "eflejob_at_localhost";


$tdatastock[".strOriginalTableName"] = "stock";

	



$tdatastock[".showAddInPopup"] = false;

$tdatastock[".showEditInPopup"] = false;

$tdatastock[".showViewInPopup"] = false;

	$tdatastock[".listAjax"] = true;
//	temporary
//$tdatastock[".listAjax"] = false;

	$tdatastock[".audit"] = false;

	$tdatastock[".locking"] = false;


$pages = $tdatastock[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastock[".edit"] = true;
	$tdatastock[".afterEditAction"] = 1;
	$tdatastock[".closePopupAfterEdit"] = 1;
	$tdatastock[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastock[".add"] = true;
$tdatastock[".afterAddAction"] = 1;
$tdatastock[".closePopupAfterAdd"] = 1;
$tdatastock[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastock[".list"] = true;
}



$tdatastock[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastock[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastock[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastock[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastock[".printFriendly"] = true;
}



$tdatastock[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastock[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastock[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastock[".isUseAjaxSuggest"] = true;



			

$tdatastock[".ajaxCodeSnippetAdded"] = false;

$tdatastock[".buttonsAdded"] = false;

$tdatastock[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastock[".isUseTimeForSearch"] = false;


$tdatastock[".badgeColor"] = "DAA520";


$tdatastock[".allSearchFields"] = array();
$tdatastock[".filterFields"] = array();
$tdatastock[".requiredSearchFields"] = array();

$tdatastock[".googleLikeFields"] = array();
$tdatastock[".googleLikeFields"][] = "StockID";
$tdatastock[".googleLikeFields"][] = "StockName";



$tdatastock[".tableType"] = "list";

$tdatastock[".printerPageOrientation"] = 0;
$tdatastock[".nPrinterPageScale"] = 100;

$tdatastock[".nPrinterSplitRecords"] = 40;

$tdatastock[".geocodingEnabled"] = false;










$tdatastock[".pageSize"] = 20;

$tdatastock[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatastock[".strOrderBy"] = $tstrOrderBy;

$tdatastock[".orderindexes"] = array();


$tdatastock[".sqlHead"] = "SELECT StockID,  	StockName";
$tdatastock[".sqlFrom"] = "FROM stock";
$tdatastock[".sqlWhereExpr"] = "";
$tdatastock[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastock[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastock[".arrGroupsPerPage"] = $arrGPP;

$tdatastock[".highlightSearchResults"] = true;

$tableKeysstock = array();
$tableKeysstock[] = "StockID";
$tdatastock[".Keys"] = $tableKeysstock;


$tdatastock[".hideMobileList"] = array();




//	StockID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "StockID";
	$fdata["GoodName"] = "StockID";
	$fdata["ownerTable"] = "stock";
	$fdata["Label"] = GetFieldLabel("stock","StockID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "StockID";

		$fdata["sourceSingle"] = "StockID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StockID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock["StockID"] = $fdata;
		$tdatastock[".searchableFields"][] = "StockID";
//	StockName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "StockName";
	$fdata["GoodName"] = "StockName";
	$fdata["ownerTable"] = "stock";
	$fdata["Label"] = GetFieldLabel("stock","StockName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "StockName";

		$fdata["sourceSingle"] = "StockName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StockName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastock["StockName"] = $fdata;
		$tdatastock[".searchableFields"][] = "StockName";


$tables_data["stock"]=&$tdatastock;
$field_labels["stock"] = &$fieldLabelsstock;
$fieldToolTips["stock"] = &$fieldToolTipsstock;
$placeHolders["stock"] = &$placeHoldersstock;
$page_titles["stock"] = &$pageTitlesstock;


changeTextControlsToDate( "stock" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["stock"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["stock"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_stock()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "StockID,  	StockName";
$proto0["m_strFrom"] = "FROM stock";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "StockID",
	"m_strTable" => "stock",
	"m_srcTableName" => "stock"
));

$proto6["m_sql"] = "StockID";
$proto6["m_srcTableName"] = "stock";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "StockName",
	"m_strTable" => "stock",
	"m_srcTableName" => "stock"
));

$proto8["m_sql"] = "StockName";
$proto8["m_srcTableName"] = "stock";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "stock";
$proto11["m_srcTableName"] = "stock";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "StockID";
$proto11["m_columns"][] = "StockName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "stock";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "stock";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="stock";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_stock = createSqlQuery_stock();


	
		;

		

$tdatastock[".sqlquery"] = $queryData_stock;



$tdatastock[".hasEvents"] = false;

?>